MySQL Version problem

Problems with the Windows version of XAMPP, questions, comments, and anything related.

MySQL Version problem

Postby icue » 31. March 2012 18:55

Hi,

I just installed XAMPP 1.7.7 which should have MySQL 5.5.16 as part of the install.
I then tried to install Form Tools but it says it can't install because the MYSQL version
is the following: MySQL Version mysqlnd 5.0.8-dev - 20102224 - $Revision:

I am not sure how to check, but is it possible that there a two versions of mysql install
on my computer and Form Tools is pointed towards the wrong one?

Could someone please offer some advice.

Thanks in advance.
icue
 
Posts: 3
Joined: 03. August 2011 13:30
Location: London
Operating System: Windows Vista

Re: MySQL Version problem

Postby Sharley » 31. March 2012 23:58

Would you be so kind as to add your XAMPP version and Operating System to your Forum Profile as per these instructions and associated information:
viewtopic.php?f=16&t=48626
Thanks. :)

icue wrote:I just installed XAMPP 1.7.7 which should have MySQL 5.5.16 as part of the install.
That is indeed correct.

icue wrote:I then tried to install Form Tools but it says it can't install because the MYSQL version
is the following: MySQL Version mysqlnd 5.0.8-dev - 20102224 - $Revision:
This seems to be a bug which is also evident in the 1.7.8 beta version and in version 1.7.4/1.7.5 - I have reported it.

XAMPP 1.7.3 is fine and may be downloaded from here:
SourceForge XAMPP File Repository

These instruction may help with uninstalling and reinstalling using the zip method:
viewtopic.php?p=179699#p179699

icue wrote:I am not sure how to check, but is it possible that there a two versions of mysql install
on my computer and Form Tools is pointed towards the wrong one?
You can see all the versions that PHP uses in 1.7.7 by opening http://localhost/xampp/phpinfo.php

I will investigate but you could also visit the Form Tools forum and see if there is a work around already created for this issue.

EDIT
When you get to step 2 during installation where it tells you that it can't continue because of the MySQL version then to continue click on the Ignore button just under the MySQL version field.

Then click on Continue to enter the database details that you created using phpMyAdmin

At the end the script installs without issue and allows login after you have deleted or renamed the install folder.

Good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: MySQL Version problem

Postby hackattack142 » 01. April 2012 03:03

That number is not a bug. Do not confuse mysqlnd with the mysql server. It is not made or maintained by the mysql team so it will not necessarily have the same version scheme. This provides a good overview of what it is: http://forge.mysql.com/wiki/PHP_MYSQLND The PHP that the developers use is compiled to use mysqlnd instead of the libmysql library that comes with mysql.
Last edited by hackattack142 on 01. April 2012 03:12, edited 1 time in total.
XAMPP Control Panel Developer
Latest CP: viewtopic.php?f=16&t=48932
hackattack142
 
Posts: 703
Joined: 20. May 2011 23:29
Operating System: Windows 7 Ultimate SP1 64-Bit

Re: MySQL Version problem

Postby Sharley » 01. April 2012 03:10

In phpinfo mysqlnd version is being displayed in the mysql section and the mysqli section which is incorrect.

The sections in the phpinfo should reflect the mysql version and the mysqli version not the mysqlnd version and is why the above OP's script is baulking.

1.7.3 the displayed version information is correct in the phpinfo.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: MySQL Version problem

Postby hackattack142 » 01. April 2012 04:57

I am aware of this and I like to think I did sufficient research. Mysqlnd is a replacement to compiling and linking against the standard mysql client library (libmysql) that became available after the release of PHP 5.3 and beyond. It is a compiler option when compiling PHP from source.

XAMPP 1.7.3 has a PHP that is compiled to use libmysql as the bridge to the mysql server. Looking at the PHP compiler configuration information on the PHP Info page of the later versions, it (not very clearly) states that PHP was compiled to use mysqlnd instead of libmysql. I downloaded the PHP source code and compiled it myself with the same configuration options to verify this.

For the later versions of XAMPP, the information being displayed in those fields is correct based on how it was compiled and will *only* show the mysql versions in those fields if PHP was compiled to use the libmysql library instead of mysqlnd. Since the XAMPP devs do not compile PHP from source, they do not have control over that option.

Why the switch? If you read that link I provided as well as other documentation, mysqlnd has better licensing, improved performance, and simplifies compiling PHP over trying to link against the libmysql library. I hope this is clear now.
Last edited by hackattack142 on 01. April 2012 05:40, edited 1 time in total.
XAMPP Control Panel Developer
Latest CP: viewtopic.php?f=16&t=48932
hackattack142
 
Posts: 703
Joined: 20. May 2011 23:29
Operating System: Windows 7 Ultimate SP1 64-Bit

Re: MySQL Version problem

Postby Sharley » 01. April 2012 05:21

I dislike all text placed in a single paragraph as it makes it difficult to read.

This 'how to post' announcement also explains this poor posting method and is worth reading.
viewtopic.php?f=16&t=48331



@icue
Contact Form Tools and have them read this topic.

They will need to change the method in \install\step2.php for checking the MySQL version so this (strange implementation of versions in phpinfo() ) issue you and many others have using some XAMPP versions can be addressed.

Good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: MySQL Version problem

Postby icue » 03. April 2012 11:55

Hi,

Sorry i've been away for a few days but thanks to all who responded.
I ignored the error and for the most part, all is working ok. I will
try to direct the Form Tool people to the comments made here.

Thanks again,
Icue
icue
 
Posts: 3
Joined: 03. August 2011 13:30
Location: London
Operating System: Windows Vista


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 32 guests